## catorise 0.0.4

=== Makefile ===
#
# Makefile for Catorise
# (c) Andrew Flegg 2010. Released under the Artistic Licence.

compile:
	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control
	uuencode -m icon-48.png - | perl -ne 'print " $$_" unless $$. == 1 or /^====$$/' >>debian/control

install:
	mkdir -p ${DESTDIR}/opt/catorise/
	cp -a menu.base catorise share lib ${DESTDIR}/opt/catorise/
	chmod 755 ${DESTDIR}/opt/catorise/catorise

clean:
	rm -rf debian/catorise
	rm build-stamp configure-stamp

package:
	dpkg-buildpackage -rfakeroot -uc -us
	make clean

=== debian/changelog ===
catorise (0.0.4) fremantle; urgency=low

  * Actually include the triggers file to allow the auto-updating.
    MB#8206, fix suggested by Faheem Pervez

 -- Andrew Flegg <andrew@bleb.org>  Sat, 16 Jan 2010 11:11:06 +0000

catorise (0.0.3) fremantle; urgency=low

  * Changed to use Config::Tiny by Adam Kennedy, suggested by hrw.
  * Move default locations for Ovi Store, Phone and Conversations.
  * Use Application Manager labels for sections to give
    localisation (thanks to Faheem Pervez).
  * Use categories from within .desktop file if specified.
  * Ensure triggers are included in package. MB#8206 (reported by
    Michael and others)
  * Include US version of display name. MB#7934 (reported by
    Ryan Abel)
  * Fix .desktop files which are symlinked in postinsts (reported
    by atunguyd)

 -- Andrew Flegg <andrew@bleb.org>  Fri, 15 Jan 2010 19:03:47 +0000

catorise (0.0.2) fremantle; urgency=low

  * Ignore location of 'other' items in cached menu.
  * Slightly better handling of Ovi-sourced items.
  * Fix theme handling; credit also to hrw for the same.
  * Fix multi-sectioned .desktop files (e.g. browser); credit also
    to hrw for the same.

 -- Andrew Flegg <andrew@bleb.org>  Wed, 13 Jan 2010 13:10:48 +0000

catorise (0.0.1) unstable; urgency=low

  * Initial build of Catorise.

 -- Andrew Flegg <andrew@bleb.org>  Tue, 12 Jan 2010 13:26:01 +0000

## catorise 0.0.5

=== debian/changelog ===
catorise (0.0.5) fremantle; urgency=low

  * Exclude X-Maemo-Prestarted items (Phone, Conversations, Email,
    Calendar etc.) from "All" menu to workaround MB#8111.
  * Ensure "Store" comes first in the "Ovi" section.

 -- Andrew Flegg <andrew@bleb.org>  Sat, 16 Jan 2010 13:24:45 +0000

## catorise 0.7.1

=== debian/changelog ===
catorise (0.7.1) fremantle; urgency=low

  * Fix problems with wrapper shims introduced in 0.7.0 (MB#8328)
  * Use symlinks into /etc/hildon/theme/backgrounds for icons
    rather than copying as part of the script.

 -- Andrew Flegg <andrew@bleb.org>  Mon, 25 Jan 2010 23:00:23 +0000

catorise (0.7.0) fremantle; urgency=low

  * Create "shim" versions of X-Maemo-Prestarted items as a
    workaround of MB#8111 (fixes MB#8328)
  * Move default categories of X Terminal and Notes, based
    on suggestions by timeless and the original examples given
    in the community categorisation.
  * Allow an entry to be put in the top-level by having
    '_root' as the section in /opt/catorise/menu.
  * Provide GUI feedback on menu structure updates.

 -- Andrew Flegg <andrew@bleb.org>  Sun, 24 Jan 2010 20:49:10 +0000

catorise (0.6.0) fremantle; urgency=low

  * Improve error handling when theme icons not present (e.g.
    on 1.2009.42-11)
  * Use `dpkg -s' rather than `apt-cache show': smaller results,
    faster start-up time.

 -- Andrew Flegg <andrew@bleb.org>  Mon, 18 Jan 2010 21:33:52 +0000

## catorise 0.7.2

=== debian/changelog ===
catorise (0.7.2) fremantle; urgency=low

  * Fix silly error in ignoring shims.

 -- Andrew Flegg <andrew@bleb.org>  Mon, 25 Jan 2010 23:35:29 +0000

## catorise 0.7.3

=== debian/changelog ===
catorise (0.7.3) fremantle; urgency=low

  * Optimise categorisation of new apps, and speed up inital
    install by indexing desktop -> package exactly once.

 -- Andrew Flegg <andrew@bleb.org>  Tue, 26 Jan 2010 19:16:43 +0000

## catorise 0.7.4

=== debian/changelog ===
catorise (0.7.4) fremantle; urgency=low

  * Revamp the optimisations for indexing packages' .desktop
    files. Applications only appearing in "All" have been
    mentioned a few times on talk.maemo.org, with a run of `configure'
    fixing them. This seems like the most likely candidate.

 -- Andrew Flegg <andrew@bleb.org>  Tue, 02 Feb 2010 13:34:03 +0000

## catorise 0.7.5

=== debian/changelog ===
catorise (0.7.5) fremantle; urgency=low

  * Change the way Ovi Store items are recognised, and also speed
    up the processing of them.

 -- Andrew Flegg <andrew@bleb.org>  Mon, 01 Mar 2010 16:28:55 +0000

## catorise 0.7.6

=== debian/changelog ===
catorise (0.7.6) fremantle; urgency=low

  * Fix "uninitialized variable" issue when desktop files not
    owned by any package. Reported by Marcin Juszkiewicz.

 -- Andrew Flegg <andrew@bleb.org>  Fri, 05 Mar 2010 12:38:59 +0000

## catorise 0.8.0

=== debian/changelog ===
catorise (0.8.0) fremantle; urgency=low

  * Sort menu by localised name, provided by Todor Tsankov. MB#9418

 -- Andrew Flegg <andrew@bleb.org>  Sat, 13 Mar 2010 17:03:45 +0000

## catorise 0.8.1

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,16 @@
 	uuencode -m icon-48.png - | perl -ne 'print " $$_" unless $$. == 1 or /^====$$/' >>debian/control
 
 install:
-	mkdir -p ${DESTDIR}/opt/catorise/
+	mkdir -p ${DESTDIR}/opt/catorise
 	cp -a menu.base catorise share lib ${DESTDIR}/opt/catorise/
 	chmod 755 ${DESTDIR}/opt/catorise/catorise
+	mkdir -p ${DESTDIR}/usr/share/icons/hicolor/64x64/hildon
+	cd share;                                                 \
+	for i in *.directory; do                                  \
+	  j=`echo $$i | cut -d. -f1`;                             \
+	  ln -s /etc/hildon/theme/backgrounds/app_install_$$j.png \
+	        ${DESTDIR}/usr/share/icons/hicolor/64x64/hildon/; \
+	done
 
 clean:
 	rm -rf debian/catorise

=== debian/changelog ===
catorise (0.8.1) fremantle; urgency=low

  * Try other variants of package name if .desktop owning package
    doesn't have a valid section. This puts evince into "Office".
    Reported by JCH.

 -- Andrew Flegg <andrew@bleb.org>  Sun, 28 Mar 2010 18:20:55 +0100

=== debian/control ===
Source: catorise
Section: user/desktop
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: debhelper (>= 5), sharutils
Standards-Version: 3.7.2

Package: catorise
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Put applications menu into sensible categories.
 Catorise puts the applications menu into a series of sections,
 matching those used in the Application Manager to install it.
 As packages are installed and removed, the menu is kept up-to-date.
 To revert to the Nokia-supplied default, simply uninstall.
 .
 This is based on the "MyMenu" concept by manzn.
XB-Maemo-Display-Name: Catorise
XB-Maemo-Display-Name-en_US: Catorize
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Catorise
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAABMdJREFUeNrsWk1oXFUUvi8z
 nc5LZ5ipsdpEUyIpTEiTRZiVcWFcCaW60EVpoFpQCAWlUFcuBN100V3torgp
 dlNXLZEGFcVFKtLENiSR1DRNtKkmzc/MJJ2f93fvffN6zps3IUWmzr3v4RDI
 hct9j+SeOd/9zjlzvssojuOQnTyayA4fuwAaPcK1/qAoCi6RM1eNjxQlNNAU
 DsfrNUr1wnfF3D+Xr5ztzQXlaK1cDT9jj/rBxYWvyk7oZLboEIuxuj4oBJwm
 I2Rg/sHaCXh9A2a+IQzA6IglD568t2yQtbxYpSrTIjG1cF+y+53+x39c/75R
 AJptOHVdo8S2REvtHlJmFokkX2mHlxjMUiMAgBPovEVsWhY2bMNex7bd58nJ
 e50HDrzwssj+TGZ9qa+v609/ADgAoCaAsIUBlKkF+xkZHv7h4/37W85xLmYj
 kUiSS5e+/uT06VMX8DzkGZAFACHk2Jx0dXV/WixqxDSp0H5NKxJVjX0Oj9dg
 PpQCYHsMcMqlQqgMAGzbjhcKGimXxcLQsijhnGPpfh7mUi0W6mRAAoAbQpww
 KAQcDoIxWxCARSjdYk2tVQjqS2KLSoYQAycYhI/lriKjsocGUIVcBqgPBqh3
 mkyQAdPd57MKMagmAIDKMEDdJK4wYDaGAUxEjklcx0n8e68JScy2GLAEWQyG
 ga0cMCVCCKoQ1H48eXQET/R/Z4AZRStCzL22ZQjGj+UmMdu4nUUnMIREASAD
 vgHM//7TRHYj1s9NR0g6OADAsZbnHJpZwTJaYcD0U0alAOgzY5e/UaKHc8re
 l9qEeneWzTr63VsoDao5IAqAUv8AFmH+4pgLOZhxwRTAeLlfcUQWAPWdxBj4
 szBRVTULAtDRB5jtlRCqr6IEzQDxnFiSbNVjLo2Lf61mMhsHsYyGw3vq2sh5
 5btjczP76L/+V6mlNT1N7Heko1H1VDr92rFQKBwRrELF6enxH03TuAKvEzKa
 2B0zMw/SiUTimKDjU+3tz30L6xo4cENVQ7GjR9/qFTEwNvbr3Pi4MYI2ZBkI
 jYz8fPbIkd7z2AqL3OAheXfu3L52/PjbQ6Ojv3156FDHoIgNZB9z4ObN0atD
 Q+99iPkow0BHZ+fhzwqFEtAp1scYhg4xzN5Npbovtra2DcrYKBTyJBrdNwiP
 X1QrmiiAJJxaXNcN6GfE9ICiNLk6oL//9RSuCED0DhaEkGsDBpbwiFdQxHKg
 2gaIAqh+k2I1QRu4itrAz91WemUBMKlevgoeJKG0jWCaOSYPoMIAl7YRSDtd
 DSF5BmxpGwExICdGtoeQH0HjG4CsGHk6iWUFTQAhhKcnI0a2h5CsjSD0wLbT
 M31XoUYIGiIrRp6uQvKCJoAQYl4CyoWQrmsxWRuB6AE0gA4YhpioxzYA966u
 LpVkbQRShaamJuZ0nabwXlNEH2C4lEqF7PLy34sLC/cfra/n2jiv/3IX+yZo
 w0k+v1kVNLZMO92jqs0nUqneN+PxZKvI6WlaKTc7O3kDutLrIGje7+lJD6jq
 vhYRG+D8yvz8XbChDcPrdE0/nwEgAUs3zFe9jlBkFGHe8la80Uh7DZmMDbxc
 WJEBgAuCeFECAIr6de9CoMWbfmwQYQA7Zez+1GAXgM/xRIABAG1tIRxi2Kcx
 AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/hermes.sgml > hermes.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/hermes.
	$(MAKE) DESTDIR=$(CURDIR)/debian/catorise install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	cp $(CURDIR)/debian/triggers $(CURDIR)/debian/catorise/DEBIAN/
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## catorise 0.8.2

=== debian/changelog ===
catorise (0.8.2) fremantle; urgency=low

  * Be more accepting of Ovi Store package lists. Reported
    by Rodrigo Linfati.

 -- Andrew Flegg <andrew@bleb.org>  Fri, 21 May 2010 16:19:37 +0100

## catorise 0.9.0

=== debian/changelog ===
catorise (0.9.0) fremantle; urgency=low

  * Don't regenerate the menu if it hasn't changed, due to the
    eager-reloading of hildon-desktop.

 -- Andrew Flegg <andrew@bleb.org>  Mon, 30 May 2011 19:21:02 +0100
